Index: win32/except.c
===================================================================
RCS file: /home/wine/wine/win32/except.c,v
retrieving revision 1.43
diff -u -r1.43 except.c
--- win32/except.c	2001/03/20 02:01:10	1.43
+++ win32/except.c	2001/04/02 19:59:18
@@ -48,6 +48,19 @@
 {
     EXCEPTION_RECORD record;
 
+
+    /*
+      Exception code 0x406D1388 is a special exception understood by MS VC6 debugger, which allows
+      an application to assign a name to a particular thread.  Do a search for "0x406D1388" in www.deja.com
+      for more details. I don't think there is a way to name a thread in Unix, so let's just return and not do
+      anything. This prevents tons of exceptions in my app breaking into the debugger.
+    */
+    if (code == 0x406D1388)
+    {
+       FIXME ("code=0x406D1388, which is a MS VC6 specific code to name the thread (doing nothing)\n");
+       return;
+    }
+
     /* Compose an exception record */ 
     
     record.ExceptionCode    = code;
